#ifndef _CRC32_H
#define _CRC32_H 1

#include <glib.h>

/* CRC32 context */
struct crc32_ctx
{
	guint32 crc32;
};

/* make the interface identical to that exported by md5.c */
#define crc32_finish_ctx(ctx) (void)0
extern void crc32_init_ctx(struct crc32_ctx *ctx);
extern void crc32_process_bytes(const void *buffer, size_t len, struct crc32_ctx *ctx);
extern guint32 crc32_read_ctx(const struct crc32_ctx *ctx);

#endif /* _CRC32_H */

