#ifndef DIALOGCONNECT_H
#define DIALOGCONNECT_H

#include <QDialog>
#include "mainwindow.h"
#include "QNNTPGrabGlue.h"
#include "ConfigGuiOpts.h"

namespace Ui {
    class DialogConnect;
}

class DialogConnect : public QDialog {
    Q_OBJECT
public:
    DialogConnect(NGApplication *app, QWidget *parent = 0);
    ~DialogConnect();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::DialogConnect *ui;
    MainWindow *w;
    QNNTPGrabGlue *glue;
    ConfigGuiOpts gui_opts;
    NGApplication *app;

    void doConnect(QString hostname, int port);

public slots:
    void doStartStandalone(void);

private slots:
    void on_btnConnect_clicked();
    void on_btnStartStandalone_clicked();
};

#endif // DIALOGCONNECT_H
